Package com.avaya.clientservices.call

## Class VideoChannel

- java.lang.Object
- - com.avaya.clientservices.call.VideoChannel

- All Implemented Interfaces:
    `MediaChannel`

      public class VideoChannel
      extends java.lang.Object
      implements MediaChannel

  Interface representing information associated with a video channel. For a 2-party call, there may be a single video channel instance representing the bidirectional video stream. For a video conference call, there may be multiple video channel instances, representing transmit-only, and two or more receive-only video streams (AAC continuous presence video conference call).
  See Also:
    `MediaDirection`, `OverloadVideoStatus`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoChannel​(int channelId)` | Constructor (requestedVideoDirection defaults to SEND_RECEIVE)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getChannelId()` | Get video channel id.
    `VideoDisabledReason` | `getDisabledReason()` | Video disable reason.
    `MediaDirection` | `getNegotiatedDirection()` | Get negotiated video direction during session initiation.
    `OverloadVideoStatus` | `getOverloadVideoStatus()` | Get video overload status.
    `MediaDirection` | `getRequestedDirection()` | Gets the current video direction of the call.
    `boolean` | `isEnabled()` | Is video enabled or disabled.
    `boolean` | `isPresentationVideoChannel()` | True if video channel a video presentation channel or false if it is a video call.
    `void` | `setRequestedDirection​(MediaDirection direction)` | Sets the video direction of the call.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoChannel

          public VideoChannel​(int channelId)

      Constructor (requestedVideoDirection defaults to SEND_RECEIVE)
      Parameters:
        `channelId` - Video channel ID of this video channel instance.

  - ### Method Detail

    - #### setRequestedDirection

          public void setRequestedDirection​(MediaDirection direction)

      Sets the video direction of the call.
      Specified by:
        `setRequestedDirection` in interface `MediaChannel`
      Parameters:
        `direction` - Video direction i.e sendonly, receiveonly, sendreceive or inactive.
      See Also:
        `MediaDirection`

    - #### getRequestedDirection

          public MediaDirection getRequestedDirection()

      Gets the current video direction of the call.
      Specified by:
        `getRequestedDirection` in interface `MediaChannel`
      Returns:
        the current video direction of the call.
      See Also:
        `MediaDirection`

    - #### getNegotiatedDirection

          public MediaDirection getNegotiatedDirection()

      Get negotiated video direction during session initiation.
      Specified by:
        `getNegotiatedDirection` in interface `MediaChannel`
      Returns:
        negotiated video direction during session initiation.
      See Also:
        `MediaDirection`

    - #### getOverloadVideoStatus

          public OverloadVideoStatus getOverloadVideoStatus()

      Get video overload status.
      Returns:
        video overload status.
      See Also:
        `OverloadVideoStatus`

    - #### getChannelId

          public int getChannelId()

      Get video channel id.
      Specified by:
        `getChannelId` in interface `MediaChannel`
      Returns:
        video channel id.

    - #### isEnabled

          public boolean isEnabled()

      Is video enabled or disabled.
      Returns:
        True if video is enabled.

    - #### getDisabledReason

          public VideoDisabledReason getDisabledReason()

      Video disable reason.
      Returns:
        video disable reason.
      See Also:
        `VideoDisabledReason`

    - #### isPresentationVideoChannel

          public boolean isPresentationVideoChannel()

      True if video channel a video presentation channel or false if it is a video call.
      Returns:
        true if video channel a video presentation channel or false if it is a video call.